## fcitx5-hangul 5.0.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.6)

project(fcitx5-hangul VERSION 5.0.2)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Gettext REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Hangul IMPORTED_TARGET "libhangul>=0.0.12" REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-hangul\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(list)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml XML)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== list/CMakeLists.txt ===
add_executable(gen_list gen_list.c)
target_link_libraries (gen_list PkgConfig::Hangul)

=== src/CMakeLists.txt ===
set( fcitx_hangul_sources
    engine.cpp
    )

add_library(hangul MODULE ${fcitx_hangul_sources})
target_link_libraries(hangul Fcitx5::Core Fcitx5::Config PkgConfig::Hangul)
set_target_properties(hangul PROPERTIES PREFIX "")
install(TARGETS hangul DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(hangul.conf.in hangul.conf)
fcitx5_translate_desktop_file(hangul-addon.conf.in hangul-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul-addon.conf" RENAME hangul.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-hangul (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 02:54:05 +0800

fcitx5-hangul (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Only install icons with org.fcitx.Fcitx5 prefix
  * Bump fcitx5 to 5.0.2
  * Drop fcitx5 Depends from fcitx5-hangul.
    Make it consistent with other fcitx5 methods

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 22:36:40 +0800

fcitx5-hangul (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump fcitx5 to 5.0.0
  * Add appstream to Build-Depends
  * Rename icon with fcitx5 prefix (Closes: #970136)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 23:02:32 +0800

fcitx5-hangul (0.0~git20200609.1c924d4-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jul 2020 13:37:02 -0400

=== debian/control ===
Source: fcitx5-hangul
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5core-dev (>= 5.0.2),
 libhangul-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx5-hangul
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-hangul.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-hangul

Package: fcitx5-hangul
Architecture: any
Multi-Arch: same
Depends:
 libhangul-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Hangul input method wrapper for fcitx5
 This package provides a wrapper of Hangul engine for Fcitx5,
 which uses libhangul, the Hangul keyboard input library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	find debian/ -name 'fcitx-*png' -print -delete

## fcitx5-hangul 5.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.0.2)
+project(fcitx5-hangul VERSION 5.0.7)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 set_target_properties(hangul PROPERTIES PREFIX "")
 install(TARGETS hangul DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(hangul.conf.in hangul.conf)
-fcitx5_translate_desktop_file(hangul-addon.conf.in hangul-addon.conf)
+configure_file(hangul-addon.conf.in.in hangul-addon.conf.in)
+fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/hangul-addon.conf.in" hangul-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul-addon.conf" RENAME hangul.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-hangul (5.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 17:37:25 -0500

fcitx5-hangul (5.0.6-1) unstable; urgency=medium

  * New upstream release 5.0.6.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:28:44 -0500

fcitx5-hangul (5.0.5-1) unstable; urgency=medium

  * New upstream release 5.0.5.
  * Drop icon-related patch:
    + ebian/rules: Ship non-Flatpak icons again.
    + debian/control: Mark binary package to conflict with fcitx-hangul.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 11:06:52 -0500

fcitx5-hangul (5.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:18:30 +0800

fcitx5-hangul (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 14:12:09 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libhangul-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-hangul
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-hangul.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-hangul
@@ -26,6 +26,8 @@
  libhangul-data,
  ${misc:Depends},
  ${shlibs:Depends},
+Conflicts:
+ fcitx-hangul,
 Description: Hangul input method wrapper for fcitx5
  This package provides a wrapper of Hangul engine for Fcitx5,
  which uses libhangul, the Hangul keyboard input library.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-hangul \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-hangul 5.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.0.7)
+project(fcitx5-hangul VERSION 5.0.9)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-hangul (5.0.9-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:20 +0800

fcitx5-hangul (5.0.9-1) unstable; urgency=medium

  * new upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:18:49 -0400

fcitx5-hangul (5.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:54:47 -0400

## fcitx5-hangul 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.0.9)
+project(fcitx5-hangul VERSION 5.0.10)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(FILES symbol.txt DESTINATION ${FCITX_INSTALL_PKGDATADIR}/hangul/)

install(DIRECTORY 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
            PATTERN .* EXCLUDE
            PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-hangul (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:50:48 -0400

## fcitx5-hangul 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.0.10)
+project(fcitx5-hangul VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(FILES symbol.txt DESTINATION ${FCITX_INSTALL_PKGDATADIR}/hangul/)

install(DIRECTORY 16x16 22x22 24x24 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
            PATTERN .* EXCLUDE
            PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-hangul (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:52:20 -0400

fcitx5-hangul (5.0.11-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 18:46:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5core-dev (>= 5.1),
  libhangul-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-hangul
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-hangul.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-hangul

## fcitx5-hangul 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.1.0)
+project(fcitx5-hangul VERSION 5.1.1)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -11,7 +11,11 @@
 find_package(Fcitx5Core 5.0.2 REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(Hangul IMPORTED_TARGET "libhangul>=0.0.12" REQUIRED)
+
+if (NOT DEFINED HANGUL_TARGET)
+    pkg_check_modules(Hangul IMPORTED_TARGET "libhangul>=0.0.12" REQUIRED)
+    set(HANGUL_TARGET PkgConfig::Hangul)
+endif()
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-hangul\" -D_GNU_SOURCE)

=== debian/changelog ===
fcitx5-hangul (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Fix upstream monitoring script.
  * debian/control: Add dependency to fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Dec 2023 11:59:46 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.6),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
@@ -23,6 +23,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  libhangul-data,
  ${misc:Depends},
  ${shlibs:Depends},

## fcitx5-hangul 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.1.1)
+project(fcitx5-hangul VERSION 5.1.4)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,9 +8,13 @@
 include(GNUInstallDirs)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.0.2 REQUIRED)
+find_package(Fcitx5Core 5.1.9 REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(PkgConfig REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
+
+option(ENABLE_TEST "Build Test" On)
+option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 
 if (NOT DEFINED HANGUL_TARGET)
     pkg_check_modules(Hangul IMPORTED_TARGET "libhangul>=0.0.12" REQUIRED)
@@ -26,6 +30,19 @@
 add_subdirectory(data)
 add_subdirectory(list)
 
+if (ENABLE_TEST)
+    enable_testing()
+    add_subdirectory(test)
+
+    if (ENABLE_COVERAGE)
+        add_custom_target(coverage
+                        COMMAND "${CMAKE_CTEST_COMMAND}"
+                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
+                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
+                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    endif()
+endif ()
+
 fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml.in
                               org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml XML)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Hangul.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

=== debian/changelog ===
fcitx5-hangul (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:37:13 -0400

fcitx5-hangul (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:35:33 -0400

fcitx5-hangul (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:26:26 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
+ fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.9~),
  libhangul-dev,
  pkg-config,
 Rules-Requires-Root: no

## fcitx5-hangul 5.1.5

=== debian/changelog ===
fcitx5-hangul (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2024 13:12:36 -0400

## fcitx5-hangul 5.1.6

=== list/CMakeLists.txt ===
add_executable(gen_list gen_list.c)
target_link_libraries (gen_list ${HANGUL_TARGET})

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
add_subdirectory(addon)
add_subdirectory(inputmethod)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(testhangul testhangul.cpp)
target_link_libraries(testhangul Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testhangul copy-addon copy-im)
add_test(testhangul testhangul)

=== debian/changelog ===
fcitx5-hangul (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Jan 2025 15:27:58 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1.9~),
+ libfcitx5core-dev (>= 5.1.12),
  libhangul-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-hangul
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-hangul.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-hangul

## fcitx5-hangul 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.1.4)
+project(fcitx5-hangul VERSION 5.1.7)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
 include(GNUInstallDirs)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.1.9 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
@@ -20,6 +21,14 @@
     pkg_check_modules(Hangul IMPORTED_TARGET "libhangul>=0.0.12" REQUIRED)
     set(HANGUL_TARGET PkgConfig::Hangul)
 endif()
+
+if ("${Hangul_VERSION}" VERSION_GREATER_EQUAL "0.2.0")
+    add_definitions(-DFCITX_HANGUL_VERSION_0_2)
+endif()
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-hangul\" -D_GNU_SOURCE)

=== data/CMakeLists.txt ===
install(FILES symbol.txt DESTINATION ${FCITX_INSTALL_PKGDATADIR}/hangul/ COMPONENT config)

install(DIRECTORY 16x16 22x22 24x24 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
            PATTERN .* EXCLUDE
            PATTERN *~ EXCLUDE)

=== src/CMakeLists.txt ===
set( fcitx_hangul_sources
    engine.cpp
    )

add_fcitx5_addon(hangul ${fcitx_hangul_sources})
target_link_libraries(hangul Fcitx5::Core Fcitx5::Config ${HANGUL_TARGET})
install(TARGETS hangul DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(hangul.conf.in hangul.conf)
configure_file(hangul-addon.conf.in.in hangul-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/hangul-addon.conf.in" hangul-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod" COMPONENT config)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hangul-addon.conf" RENAME hangul.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 add_executable(testhangul testhangul.cpp)
 target_link_libraries(testhangul Fcitx5::Core Fcitx5::Module::TestFrontend)
 add_dependencies(testhangul copy-addon copy-im)
-add_test(testhangul testhangul)
+add_test(NAME testhangul COMMAND testhangul)

=== debian/changelog ===
fcitx5-hangul (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:02:48 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libhangul-dev,
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-hangul
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-hangul.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-hangul

## fcitx5-hangul 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 3.6)
 
-project(fcitx5-hangul VERSION 5.1.7)
+project(fcitx5-hangul VERSION 5.1.8)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-hangul (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:25:40 -0400

fcitx5-hangul (5.1.7-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:34:25 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libhangul-dev,
  pkgconf,
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-hangul/ \
 fcitx5-hangul-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
